Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service
Class ModuleAdmin

    java.lang.Object
      org.wso2.utils.AbstractAdmin
          org.wso2.wsas.admin.service.ModuleAdmin

    public class ModuleAdmin

extends org.wso2.utils.AbstractAdmin

Admin service to manage operations related to modules

Constructor Summary
`ModuleAdmin()`

Method Summary
`void` | `disengageModuleFromOperation(java.lang.String moduleId, java.lang.String moduleVersion, java.lang.String serviceId, java.lang.String serviceVersion, java.lang.String operationId)`
`void` | `disengageModuleFromService(java.lang.String moduleId, java.lang.String moduleVersion, java.lang.String serviceId, java.lang.String serviceVersion)`
`void` | `disengageModuleFromServiceGroup(java.lang.String moduleId, java.lang.String moduleVersion, java.lang.String serviceGroupId)`
`boolean` | `disengageModuleFromSystem(java.lang.String moduleId, java.lang.String moduleVersion)`
`void` | `engageModuleForMessage(java.lang.String moduleId, java.lang.String moduleVersion, java.lang.String serviceId, java.lang.String serviceVersion, java.lang.String operationId, java.lang.String messageLabel)` Engaging a module to a messageE
`java.lang.String` | `engageModuleForOperation(java.lang.String moduleId, java.lang.String moduleVersion, java.lang.String serviceId, java.lang.String serviceVersion, java.lang.String operationId)` Engaging a module to an operation
`java.lang.String` | `engageModuleForService(java.lang.String moduleId, java.lang.String moduleVersion, java.lang.String serviceId, java.lang.String serviceVersion)` Engaging a module to a service
`java.lang.String` | `engageModuleForServiceGroup(java.lang.String moduleId, java.lang.String moduleVersion, java.lang.String serviceGroupId)`
`java.lang.String` | `engageModuleForSystem(java.lang.String moduleId, java.lang.String moduleVersion)` Engaging a module globally
`void` | `forceDisengageModuleFromService(java.lang.String moduleId, java.lang.String moduleVersion, java.lang.String serviceId, java.lang.String serviceVersion)` Forcefully disengage modules without taking into consideration any of the restrictions.
`org.apache.axiom.om.OMElement[]` | `getDeclaredModuleParameters(java.lang.String moduleId, java.lang.String moduleVersion)` Return only the parameters for explicitly set for this module (not including inherited ones), where each parameter is an XML fragment representing the "parameter" element
`ModuleMetaData` | `getModuleInfo(java.lang.String moduleId, java.lang.String moduleVersion)` Return all available module meta-data (not counts)
`org.apache.axiom.om.OMElement[]` | `getModuleParameters(java.lang.String moduleId, java.lang.String moduleVersion)` Return all parameters for this module (including inherited ones), where each parameter is an XML fragment representing the "parameter" element
`java.lang.Object[]` | `getModuleStatus(java.lang.String moduleId, java.lang.String moduleVersion)` Return all accumulated data about this module
`PolicyData[]` | `getPolicies(java.lang.String moduleId, java.lang.String moduleVersion)`
`org.apache.axiom.om.OMElement` | `getPolicy(java.lang.String moduleId, java.lang.String moduleVersion)`
`ModuleMetaData[]` | `listGloballyEngagesModules()` List all the globally engaged modules
`ModuleMetaData[]` | `listModules()` List all the available modules
`ModuleMetaData[]` | `listOperationModules(java.lang.String serviceName, java.lang.String operationName)` List engaged modules for a given operation
`ModuleMetaData[]` | `listOperationsParentParentEngagedModules(java.lang.String serviceName, java.lang.String operationName)` List engaged modules for a given operation's parent's parent (i.e. the AxisServiceGroup)
`ModuleMetaData[]` | `listServiceGroupModules(java.lang.String serviceGroupId)` List modules that are engaged to the service group
`ModuleMetaData[]` | `listServiceModules(java.lang.String serviceName)` List modules that are engaged to the service name
`ModuleMetaData[]` | `listServicesParentEngagedModules(java.lang.String serviceName)` List engaged modules of an operation's parent (i.e.
`void` | `removeModule(java.lang.String moduleId, java.lang.String moduleVersion)` Delete a module
`void` | `removeModuleParameter(java.lang.String moduleId, java.lang.String moduleVersion, org.apache.axiom.om.OMElement paramterElement)`
`void` | `setAs(java.lang.String moduleName, java.lang.String version)` To set module has default version for that module family
`void` | `setModuleParameter(java.lang.String moduleId, java.lang.String moduleVersion, org.apache.axiom.om.OMElement paramterElement)`
`void` | `setModuleParameters(java.lang.String moduleId, java.lang.String moduleVersion, org.apache.axiom.om.OMElement[] paramterElements)`
`void` | `setPolicy(java.lang.String moduleId, java.lang.String moduleVersion, java.lang.String policyString)`

Methods inherited from class org.wso2.utils.AbstractAdmin
`getAxisConfig, getConfigContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleAdmin

    public ModuleAdmin()

Method Detail

### listModules

    public ModuleMetaData[] listModules()
                                 throws org.apache.axis2.AxisFault

  List all the available modules

  Returns:
    list of modules as a ModuleMetadata[].
  Throws:
    `org.apache.axis2.AxisFault`

### listGloballyEngagesModules

    public ModuleMetaData[] listGloballyEngagesModules()
                                                throws org.apache.axis2.AxisFault

  List all the globally engaged modules

  Returns:
    list of globally engaged modules as a String[].
  Throws:
    `org.apache.axis2.AxisFault`

### listServiceModules

    public ModuleMetaData[] listServiceModules(java.lang.String serviceName)
                                        throws org.apache.axis2.AxisFault

  List modules that are engaged to the service name

  Parameters:
    `serviceName` -
  Returns:
    list of service modules as a String[].
  Throws:
    `org.apache.axis2.AxisFault`

### listServiceGroupModules

    public ModuleMetaData[] listServiceGroupModules(java.lang.String serviceGroupId)
                                             throws org.apache.axis2.AxisFault

  List modules that are engaged to the service group

  Parameters:
    `serviceGroupId` -
  Returns:
    list of service group modules as a String[].
  Throws:
    `org.apache.axis2.AxisFault`

### listOperationModules

    public ModuleMetaData[] listOperationModules(java.lang.String serviceName,
                                                 java.lang.String operationName)
                                          throws org.apache.axis2.AxisFault

  List engaged modules for a given operation

  Parameters:
    `serviceName` -
    `operationName` -
  Returns:
    list of operation modules
  Throws:
    `org.apache.axis2.AxisFault`

### getModuleInfo

    public ModuleMetaData getModuleInfo(java.lang.String moduleId,
                                        java.lang.String moduleVersion)
                                 throws org.apache.axis2.AxisFault

  Return all available module meta-data (not counts)

  Parameters:
    `moduleId` -
    `moduleVersion` -
  Returns:
    info of the module
  Throws:
    `org.apache.axis2.AxisFault`

### getModuleStatus

    public java.lang.Object[] getModuleStatus(java.lang.String moduleId,
                                              java.lang.String moduleVersion)
                                       throws org.apache.axis2.AxisFault

  Return all accumulated data about this module

  Parameters:
    `moduleId` -
    `moduleVersion` -
  Returns:
    status of the module
  Throws:
    `org.apache.axis2.AxisFault`

### engageModuleForSystem

    public java.lang.String engageModuleForSystem(java.lang.String moduleId,
                                                  java.lang.String moduleVersion)
                                           throws org.apache.axis2.AxisFault

  Engaging a module globally

  Parameters:
    `moduleId` -
    `moduleVersion` -
  Returns:
    The status
  Throws:
    `org.apache.axis2.AxisFault`

### disengageModuleFromSystem

    public boolean disengageModuleFromSystem(java.lang.String moduleId,
                                             java.lang.String moduleVersion)
                                      throws org.apache.axis2.AxisFault

  Parameters:
    `moduleId` -
    `moduleVersion` -
  Returns:
    True if the module the engagement was successful, false otherwise.
  Throws:
    `org.apache.axis2.AxisFault`

### removeModule

    public void removeModule(java.lang.String moduleId,
                             java.lang.String moduleVersion)
                      throws org.apache.axis2.AxisFault

  Delete a module

  Parameters:
    `moduleId` -
    `moduleVersion` -
  Throws:
    `org.apache.axis2.AxisFault`

### engageModuleForServiceGroup

    public java.lang.String engageModuleForServiceGroup(java.lang.String moduleId,
                                                        java.lang.String moduleVersion,
                                                        java.lang.String serviceGroupId)
                                                 throws org.apache.axis2.AxisFault

  Parameters:
    `moduleId` -
    `moduleVersion` -
    `serviceGroupId` -
  Returns:
    The status message
  Throws:
    `org.apache.axis2.AxisFault`

### disengageModuleFromServiceGroup

    public void disengageModuleFromServiceGroup(java.lang.String moduleId,
                                                java.lang.String moduleVersion,
                                                java.lang.String serviceGroupId)
                                         throws org.apache.axis2.AxisFault

  Parameters:
    `moduleId` -
    `moduleVersion` -
    `serviceGroupId` -
  Throws:
    `org.apache.axis2.AxisFault`

### engageModuleForService

    public java.lang.String engageModuleForService(java.lang.String moduleId,
                                                   java.lang.String moduleVersion,
                                                   java.lang.String serviceId,
                                                   java.lang.String serviceVersion)
                                            throws org.apache.axis2.AxisFault

  Engaging a module to a service

  Parameters:
    `moduleId` -
    `moduleVersion` -
    `serviceId` -
    `serviceVersion` -
  Returns:
    A message
  Throws:
    `org.apache.axis2.AxisFault`

### disengageModuleFromService

    public void disengageModuleFromService(java.lang.String moduleId,
                                           java.lang.String moduleVersion,
                                           java.lang.String serviceId,
                                           java.lang.String serviceVersion)
                                    throws org.apache.axis2.AxisFault

  Parameters:
    `moduleId` -
    `moduleVersion` -
    `serviceId` -
    `serviceVersion` -
  Throws:
    `org.apache.axis2.AxisFault`

### forceDisengageModuleFromService

    public void forceDisengageModuleFromService(java.lang.String moduleId,
                                                java.lang.String moduleVersion,
                                                java.lang.String serviceId,
                                                java.lang.String serviceVersion)
                                         throws org.apache.axis2.AxisFault

  Forcefully disengage modules without taking into consideration any of the restrictions.

  Parameters:
    `moduleId` -
    `moduleVersion` -
    `serviceId` -
    `serviceVersion` -
  Throws:
    `org.apache.axis2.AxisFault`

### engageModuleForOperation

    public java.lang.String engageModuleForOperation(java.lang.String moduleId,
                                                     java.lang.String moduleVersion,
                                                     java.lang.String serviceId,
                                                     java.lang.String serviceVersion,
                                                     java.lang.String operationId)
                                              throws org.apache.axis2.AxisFault

  Engaging a module to an operation

  Parameters:
    `moduleId` -
    `moduleVersion` -
    `serviceId` -
    `serviceVersion` -
    `operationId` -
  Returns:
    A message
  Throws:
    `org.apache.axis2.AxisFault`

### disengageModuleFromOperation

    public void disengageModuleFromOperation(java.lang.String moduleId,
                                             java.lang.String moduleVersion,
                                             java.lang.String serviceId,
                                             java.lang.String serviceVersion,
                                             java.lang.String operationId)
                                      throws org.apache.axis2.AxisFault

  Parameters:
    `moduleId` -
    `moduleVersion` -
    `serviceId` -
    `serviceVersion` -
    `operationId` -
  Throws:
    `org.apache.axis2.AxisFault`

### engageModuleForMessage

    public void engageModuleForMessage(java.lang.String moduleId,
                                       java.lang.String moduleVersion,
                                       java.lang.String serviceId,
                                       java.lang.String serviceVersion,
                                       java.lang.String operationId,
                                       java.lang.String messageLabel)
                                throws org.apache.axis2.AxisFault

  Engaging a module to a messageE

  Parameters:
    `moduleId` -
    `moduleVersion` -
    `serviceId` -
    `serviceVersion` -
    `operationId` -
    `messageLabel` -
  Throws:
    `org.apache.axis2.AxisFault`

### getModuleParameters

    public org.apache.axiom.om.OMElement[] getModuleParameters(java.lang.String moduleId,
                                                               java.lang.String moduleVersion)
                                                        throws org.apache.axis2.AxisFault

  Return all parameters for this module (including inherited ones), where each parameter is an XML fragment representing the "parameter" element

  Parameters:
    `moduleId` -
    `moduleVersion` -
  Returns:
    OMElement
  Throws:
    `org.apache.axis2.AxisFault`

### getPolicy

    public org.apache.axiom.om.OMElement getPolicy(java.lang.String moduleId,
                                                   java.lang.String moduleVersion)
                                            throws org.apache.axis2.AxisFault

  Parameters:
    `moduleId` -
    `moduleVersion` -
  Returns:
    OMElement
  Throws:
    `org.apache.axis2.AxisFault`

### setPolicy

    public void setPolicy(java.lang.String moduleId,
                          java.lang.String moduleVersion,
                          java.lang.String policyString)
                   throws org.apache.axis2.AxisFault

  Parameters:
    `moduleId` -
    `moduleVersion` -
    `policyString` -
  Throws:
    `org.apache.axis2.AxisFault`

### getDeclaredModuleParameters

    public org.apache.axiom.om.OMElement[] getDeclaredModuleParameters(java.lang.String moduleId,
                                                                       java.lang.String moduleVersion)
                                                                throws org.apache.axis2.AxisFault

  Return only the parameters for explicitly set for this module (not including inherited ones), where each parameter is an XML fragment representing the "parameter" element

  Parameters:
    `moduleId` -
    `moduleVersion` -
  Returns:
    The declared parameter
  Throws:
    `org.apache.axis2.AxisFault`

### setModuleParameters

    public void setModuleParameters(java.lang.String moduleId,
                                    java.lang.String moduleVersion,
                                    org.apache.axiom.om.OMElement[] paramterElements)
                             throws org.apache.axis2.AxisFault

  Parameters:
    `moduleId` -
    `moduleVersion` -
    `paramterElements` -
  Throws:
    `org.apache.axis2.AxisFault`

### setModuleParameter

    public void setModuleParameter(java.lang.String moduleId,
                                   java.lang.String moduleVersion,
                                   org.apache.axiom.om.OMElement paramterElement)
                            throws org.apache.axis2.AxisFault

  Parameters:
    `moduleId` -
    `moduleVersion` -
    `paramterElement` -
  Throws:
    `org.apache.axis2.AxisFault`

### removeModuleParameter

    public void removeModuleParameter(java.lang.String moduleId,
                                      java.lang.String moduleVersion,
                                      org.apache.axiom.om.OMElement paramterElement)
                               throws org.apache.axis2.AxisFault

  Parameters:
    `moduleId` -
    `moduleVersion` -
    `paramterElement` -
  Throws:
    `org.apache.axis2.AxisFault`

### setAs

    public void setAs(java.lang.String moduleName,
                      java.lang.String version)
               throws org.apache.axis2.AxisFault

  To set module has default version for that module family

  Parameters:
    `moduleName` -
    `version` -
  Throws:
    `org.apache.axis2.AxisFault`

### getPolicies

    public PolicyData[] getPolicies(java.lang.String moduleId,
                                    java.lang.String moduleVersion)
                             throws org.apache.axis2.AxisFault

  Parameters:
    `moduleId` -
    `moduleVersion` -
  Returns:
    PolicyData
  Throws:
    `org.apache.axis2.AxisFault`

### listServicesParentEngagedModules

    public ModuleMetaData[] listServicesParentEngagedModules(java.lang.String serviceName)
                                                      throws org.apache.axis2.AxisFault

  List engaged modules of an operation's parent (i.e. AxisService)

  Parameters:
    `serviceName` -
  Returns:
    Module data
  Throws:
    `org.apache.axis2.AxisFault`

### listOperationsParentParentEngagedModules

    public ModuleMetaData[] listOperationsParentParentEngagedModules(java.lang.String serviceName,
                                                                     java.lang.String operationName)
                                                              throws org.apache.axis2.AxisFault

  List engaged modules for a given operation's parent's parent (i.e. the AxisServiceGroup)

  Parameters:
    `serviceName` -
    `operationName` -
  Returns:
    Module data
  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD